from narval.elements.test import Element
plan = get_plan(memory)

# check plan state
assert_equals(plan.state, 'done')
# check steps'state
assert_equals(plan.elements['step1'].state, 'done')

elements = [elmt for elmt in memory if isinstance(elmt, Element)]
assert_equals(len(elements), 2)
elmt1, elmt2 = elements
assert_equals(elmt1.flag, elmt2.flag)
assert elmt1.identity or elmt2.identity
# identity is now part of the test.Element definition
#assert not (hasattr(elmt1, 'identity') and hasattr(elmt2, 'identity'))
